/*
 * Copyright (c) 2007, 2018 Oracle and/or its affiliates. All rights reserved.
 * Copyright (c) 2002 International Business Machines Corp. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

package com.sun.ts.tests.jaxrpc.ee.w2j.rpc.encoded.xmlnamemappingtest;

import com.sun.ts.lib.util.*;
import com.sun.ts.lib.porting.*;
import com.sun.ts.tests.jaxrpc.common.*;

import java.rmi.*;

// Service Implementation Class - as outlined in JAX-RPC Specification

public class XMLNameMappingTestImpl implements XMLNameMappingTest {

  public EyeColor echoEyeColor(EyeColor inputEyeColor) throws RemoteException {
    return inputEyeColor;
  }

  public SoapStruct echoSoapStruct(SoapStruct inputSoapStruct)
      throws RemoteException {
    return inputSoapStruct;
  }

  public void _null() throws RemoteException {
  }

  public void _true() throws RemoteException {
  }

  public void _false() throws RemoteException {
  }

  public void _abstract() throws RemoteException {
  }

  public void _boolean() throws RemoteException {
  }

  public void _break() throws RemoteException {
  }

  public void _byte() throws RemoteException {
  }

  public void _case() throws RemoteException {
  }

  public void _catch() throws RemoteException {
  }

  public void _char() throws RemoteException {
  }

  public void _class() throws RemoteException {
  }

  public void _const() throws RemoteException {
  }

  public void _continue() throws RemoteException {
  }

  public void _default() throws RemoteException {
  }

  public void _do() throws RemoteException {
  }

  public void _double() throws RemoteException {
  }

  public void _else() throws RemoteException {
  }

  public void _extends() throws RemoteException {
  }

  public void _final() throws RemoteException {
  }

  public void _finally() throws RemoteException {
  }

  public void _float() throws RemoteException {
  }

  public void _for() throws RemoteException {
  }

  public void _goto() throws RemoteException {
  }

  public void _if() throws RemoteException {
  }

  public void _implements() throws RemoteException {
  }

  public void _import() throws RemoteException {
  }

  public void _instanceof() throws RemoteException {
  }

  public void _int() throws RemoteException {
  }

  public void _interface() throws RemoteException {
  }

  public void _long() throws RemoteException {
  }

  public void _native() throws RemoteException {
  }

  public void _new() throws RemoteException {
  }

  public void _package() throws RemoteException {
  }

  public void _private() throws RemoteException {
  }

  public void _protected() throws RemoteException {
  }

  public void _public() throws RemoteException {
  }

  public void _return() throws RemoteException {
  }

  public void _short() throws RemoteException {
  }

  public void _static() throws RemoteException {
  }

  public void _super() throws RemoteException {
  }

  public void _switch() throws RemoteException {
  }

  public void _synchronized() throws RemoteException {
  }

  public void _this() throws RemoteException {
  }

  public void _throw() throws RemoteException {
  }

  public void _throws() throws RemoteException {
  }

  public void _transient() throws RemoteException {
  }

  public void _try() throws RemoteException {
  }

  public void _void() throws RemoteException {
  }

  public void _volatile() throws RemoteException {
  }

  public void _while() throws RemoteException {
  }
}
